/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumIsocode;
import de.ship.db.enums.EnumTransCategory;
import de.ship.db.tables.TCoreTranslation;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreTranslationRecord extends UpdatableRecordImpl<TCoreTranslationRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_translation.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_translation.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_translation.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_translation.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_translation.fk_trans_key</code>.
     */
    public void setFkTransKey(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_translation.fk_trans_key</code>.
     */
    public String getFkTransKey() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_translation.isocode</code>.
     */
    public void setIsocode(EnumIsocode value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_translation.isocode</code>.
     */
    public EnumIsocode getIsocode() {
        return (EnumIsocode) get(3);
    }

    /**
     * Setter for <code>common_dd.t_core_translation.category</code>.
     */
    public void setCategory(EnumTransCategory value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_core_translation.category</code>.
     */
    public EnumTransCategory getCategory() {
        return (EnumTransCategory) get(4);
    }

    /**
     * Setter for <code>common_dd.t_core_translation.value</code>.
     */
    public void setValue(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.t_core_translation.value</code>.
     */
    public String getValue() {
        return (String) get(5);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreTranslationRecord
     */
    public TCoreTranslationRecord() {
        super(TCoreTranslation.T_CORE_TRANSLATION);
    }

    /**
     * Create a detached, initialised TCoreTranslationRecord
     */
    public TCoreTranslationRecord(LocalDateTime lastchange, Integer pk, String fkTransKey, EnumIsocode isocode, EnumTransCategory category, String value) {
        super(TCoreTranslation.T_CORE_TRANSLATION);

        setLastchange(lastchange);
        setPk(pk);
        setFkTransKey(fkTransKey);
        setIsocode(isocode);
        setCategory(category);
        setValue(value);
        resetChangedOnNotNull();
    }
}
